
package cn.orionsec.ops.handler.scheduler.machine;

import cn.orionsec.kit.lang.able.SafeCloseable;
import cn.orionsec.ops.constant.scheduler.SchedulerTaskMachineStatus;

public interface ITaskMachineHandler extends Runnable, SafeCloseable {

    /**
     * 跳过 (未开始)
     */
    void skip();

    /**
     * 停止 (进行中)
     */
    void terminate();

    /**
     * 发送命令
     *
     * @param command command
     */
    void write(String command);

    /**
     * 状态
     *
     * @return 获取状态
     */
    SchedulerTaskMachineStatus getStatus();

}
